%global git_date  20241102
%global git_hash  2b0df05
%global git_ver  1.3.301.0

%global rel  2
%global src_name  %{alt_name}-%{git_date}-%{git_hash}.tar.xz
%global alt_name volk

Name:     vulkan-volk
Version:  %{git_ver}^%{git_date}g%{git_hash}
Release:  %{rel}%{?dist}
Summary:  MIT
License:  license
URL:      https://github.com/zeux/volk
Source:	  %{url}/%{src_name}

BuildArch:  noarch

BuildRequires:  make cmake gcc
BuildRequires:  pkgconfig(vulkan)


%description
volk is a meta-loader for Vulkan. It allows you to dynamically load entrypoints required to use Vulkan without linking to vulkan-1.dll or statically linking Vulkan loader. Additionally, volk simplifies the use of Vulkan extensions by automatically loading all associated entrypoints. Finally, volk enables loading Vulkan entrypoints directly from the driver which can increase performance by skipping loader dispatch overhead.

volk is written in C89 and supports Windows, Linux, Android and macOS (via MoltenVK).


%prep
%autosetup -p 1 -n %{alt_name}


%build
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo -DVOLK_INSTALL=ON
%cmake_build


%install
%cmake_install


%files
%doc README.md
%license LICENSE.md
%{_libdir}/cmake/%{alt_name}/*
%{_includedir}/%{alt_name}.*
%{_libdir}/libvolk.a

%changelog
%autochangelog
